Bug 728518 - win2003 i386 guest BSOD when created with e1000 nic [rhel-5.7.z]
Summary: win2003 i386 guest BSOD when created with e1000 nic [rhel-5.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.8
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 723755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 12:16 UTC by RHEL Product and Program Management
Modified: 2011-10-27 09:26 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-274.4.1.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, Xen did not implement certain ALU opcodes. As a result, when a driver used the missing opcodes on memory-mapped I/O areas, it caused the guest to crash. This update adds all the missing opcodes. In particular, this fixes a BSOD crash from the Windows e1000 driver.
Clone Of:
Environment:
Last Closed: 2011-10-20 17:30:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description RHEL Product and Program Management 2011-08-05 12:16:49 UTC
This bug has been copied from bug #723755 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Phillip Lougher 2011-09-14 09:41:14 UTC
in kernel-2.6.18-274.4.1.el5

xen-hvm-support-more-opcodes-for-mmio.patch

Comment 7 errata-xmlrpc 2011-10-20 17:30:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 8 Martin Prpič 2011-10-27 09:26:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, Xen did not implement certain ALU opcodes. As a result, when a driver used the missing opcodes on memory-mapped I/O areas, it caused the guest to crash. This update adds all the missing opcodes. In particular, this fixes a BSOD crash from the Windows e1000 driver.


Note You need to log in before you can comment on or make changes to this bug.